clc;
clear all;
close all;




% M = 30;
% N = 50;
%A = randn(M,N);
load A % loading the measurement matrix

M = size(A,1);
N = size(A,2);

Niter = 100000;


% %
InputData = zeros(Niter,M);
OutputData = zeros(Niter,1*N);


for index = 1:Niter
    
  
    nT =  randi(8,1);
   
    sign = (randi(2,nT,1)-1.5)*2;
    amp = (rand(nT,1)*10+1).*sign;
    loc = randperm(N,nT);
   
    X = zeros(N,1);
    X(loc) = amp;
    Y = A*X;
    
  
    
    InputData(index,:) = Y; % Observation Vector

    OutputData(index,:) = X;%  Sparse Vector 
end

save('InputData', 'InputData','-v7.3')
save('OutputData', 'OutputData','-v7.3')




