import numpy as np
import scipy.io as sio

from keras.models import load_model
import tensorflow as tf


OutSize = 50;
InpSize = 30;

temp = sio.loadmat('A.mat');
A = temp['A'];

 

SBL = load_model('SBL.h5',custom_objects={'tf': tf,'OutSize':OutSize,'InpSize':InpSize,'A':A})
Nolayer = 7;

W = np.zeros([OutSize*2,OutSize,Nolayer])
B = np.zeros([OutSize,Nolayer])

for i in range(1,Nolayer+1):

    str2 = 'InputData_' +str(i)
    index = 6+(i-1)*4
    A = SBL.layers[index].get_weights()[0]
    b = SBL.layers[index].get_weights()[1]
    W[:,:,i-1] = A
    B[:,i-1] = b
   

str3 = 'WeightMatrix' 
sio.savemat(str3, {'W':W});
str3 = 'BiasMatrix' 
sio.savemat(str3, {'B':B});
#    print(elapsed_time);
#    

