clc;
clear all;
close all;

Niter = 2000;
sigma =1e-1;
load A
load WeightMatrix
load BiasMatrix
maxCard = 18;

Er2=zeros(maxCard,Niter,2); 
ErS=zeros(maxCard,Niter,2); 


N = size(A,2);
L_SBL_out = zeros(N,Niter,maxCard);
SBL_out = zeros(N,Niter,maxCard);

for k = 2
load(['InputData_' num2str(k)], 'InputData')

load (['OutputData_' num2str(k)], 'OutputData')
%load (['OutputPred_' num2str(k)], 'OutputPred')




t1= tic;
for index = 1:Niter
y = InputData(index,:)';

[mu1] = Learned_SBL(y,A,W,B,sigma);
L_SBL_out(:,index) = mu1;
%mu2 = OutputPred(index,:)';
x = OutputData(index,:)';
% 
figure(1)
plot(mu1)
hold on;
plot(OutputData(index,:)','r')

hold off;
pause

% [Val ,pos] = sort(abs(x),'descend');
% pos = pos(1:k);
% xCos =mu1;
% Er2(k,index,1)=mean((xCos-x).^2)/mean(x.^2);
% 
% [Val, SS] = sort(abs(xCos),'descend');
% SS = SS(1:k);
% 
% 
%  F = (length(intersect(SS,pos(1:k))))/max(k,length(SS));
% %      (sum(find(abs(xCos - x) > .3)) > 0)
%   
%  ErS(k,index,1)= (F~=1);%(sum(find(abs(xCos - x) > .2)) > 0);
end
toc(t1)

% 
% t1= tic;
% for index = 1:Niter
% y = InputData(index,:)';
% 
% [mu2] = SBL1(y,A,sigma);
% SBL_out(:,index) = mu2;
% x = OutputData(index,:)';
% 
% [Val ,pos] = sort(abs(x),'descend');
% pos = pos(1:k);
% xCos =mu2;
% Er2(k,index,2)=mean((xCos-x).^2)/mean(x.^2);
% 
% [Val, SS] = sort(abs(xCos),'descend');
% SS = SS(1:k);
% 
% 
%  F = (length(intersect(SS,pos(1:k))))/max(k,length(SS));
% %      (sum(find(abs(xCos - x) > .3)) > 0)
%   
%  ErS(k,index,2)= (F~=1);%(sum(find(abs(xCos - x) > .2)) > 0);
% 
% end
% toc(t1)



% figure(1);
% h=plot(1:1:maxCard,mean(Er2(:,:,1),2),'b'); hold on; 
% 
% set(h,'LineWidth',2);
%  hold on;
% 
% h=plot(1:1:maxCard,mean(Er2(:,:,2),2),'r'); hold on; 
% 
% set(h,'LineWidth',2);
% 
% hold on;
% 
% 
% grid on;
% hold off
% h=xlabel('Cardinality of the true solution'); set(h,'FontSize',14);
% h=ylabel('Average and Relative L_2-Error'); set(h,'FontSize',14);
% 
% 
% 
% 
% 
% figure(2);
% h=plot(1:1:maxCard,mean(ErS(:,:,1),2),'b'); hold on; 
% set(h,'LineWidth',2);
%  hold on;
% h=plot(1:1:maxCard,mean(ErS(:,:,2),2),'g'); hold on; 
% set(h,'LineWidth',2);
% grid on;
% 
% h=xlabel('Cardinality of the true solution'); set(h,'FontSize',14);
% h=ylabel('Probability of Error in Support'); set(h,'FontSize',14);
% hold off
end

