

#import numpy as np
#import matplotlib.pyplot as plt
#import pandas as pd
import scipy.io as sio
import time





from keras.models import load_model
from keras.utils import plot_model

model = load_model('SparseRecoveryModel.h5') # OMP learning model
plot_model(model, to_file='model.png')





str2 = 'TestInputData' ; #+str(currSNR)
SigTest = sio.loadmat(str2);
X_test = SigTest['TestInputData'];

#predicting the DNN output
start_time = time.time()
Y_pred = model.predict((X_test));
endtime = time.time() 
elapsed_time = endtime - start_time


#saving the predicted data

str3 = 'TestOutputPred' ;#+str(currSNR)
sio.savemat(str3, {'TestOutputPred':Y_pred});
print(elapsed_time);
   # print(start_time);
   # print(endtime);