clc;
clear all;
close all;




% M = 30;
% N = 50;
%A = randn(M,N);
load A % loading the measurement matrix

M = size(A,1);
N = size(A,2);




Ntest = 10000;


TestInputData = zeros(Ntest,M);
TestOutputData = zeros(Ntest,1*N);
DataInput =  zeros(Ntest,M);

for index = 1:Ntest
    nT =  2; %randi(6,1);
    
    sign = (randi(2,nT,1)-1.5)*2;
    amp = (rand(nT,1)*10+1).*sign;
    loc = randi(N,nT,1);
    X = zeros(N,1);
    X(loc) = amp;
    
    Y = A*X ;
    
    
    
    TestInputData(index,:) = Y;
    TestOutputData(index,:) = X;
    
end
save('TestInputData', 'TestInputData');
save('TestOutputData', 'TestOutputData');


% save(['DataInput'], 'DataInput');
%     
% %
% 
