

import numpy as np
import matplotlib.pyplot as plt
import h5py

from keras.models import Sequential
from keras.layers import Dense





filepath = 'OutputData.mat'
temp = {}
f = h5py.File(filepath,'r')
for k, v in f.items():
    temp[k] = np.array(v)
    
Y_train = np.transpose(temp['OutputData']);

filepath = 'InputData.mat'
temp = {}
f = h5py.File(filepath,'r')
for k, v in f.items():
    temp[k] = np.array(v)
    
X_train = np.transpose(temp['InputData']);

#BeamOp = sio.loadmat('BeamOp.mat');
#Y_train = BeamOp['BeamOp'];
#
#SigRx = sio.loadmat('SigRx.mat');
#X_train = SigRx['SigRx'];

nLabel = np.size(Y_train,0);
InpSize = np.size(X_train,1);
OutSize = np.size(Y_train,1);

NeuronInHiddenLayer = InpSize*10;








model = Sequential();


model.add(Dense(output_dim =NeuronInHiddenLayer,activation = 'linear',input_dim=InpSize));
model.add(Dense(output_dim =NeuronInHiddenLayer,activation = 'relu',input_dim=NeuronInHiddenLayer ));
model.add(Dense(output_dim =NeuronInHiddenLayer,activation = 'relu',input_dim=NeuronInHiddenLayer));
model.add(Dense(output_dim =NeuronInHiddenLayer,activation = 'relu',input_dim=NeuronInHiddenLayer));
model.add(Dense(output_dim =NeuronInHiddenLayer,activation = 'relu',input_dim=NeuronInHiddenLayer));#
model.add(Dense(output_dim =NeuronInHiddenLayer,activation = 'relu',input_dim=NeuronInHiddenLayer));
model.add(Dense(output_dim =OutSize,activation = 'linear',input_dim=NeuronInHiddenLayer));
model.summary()




model.compile(optimizer='adam',loss='mse',metrics =['mae']);

history = model.fit(X_train,Y_train,batch_size=1000,nb_epoch = 20,shuffle =True,validation_split=.1);

model.save('SparseRecoveryModel.h5') 




print(history.history.keys())
plt.plot(history.history['acc'])
plt.plot(history.history['val_acc'])
plt.title('model accuracy')
plt.ylabel('accuracy');
plt.xlabel('epoch');
plt.legend(['train' 'test'],loc='upper left')
plt.show();


plt.plot(history.history['loss'])
plt.plot(history.history['val_loss'])
plt.title('model loss')
plt.ylabel('loss');
plt.xlabel('epoch');
plt.legend(['train' 'test'],loc='upper left')
plt.show();