clc;
clear all;
close all;
SNR= [-10:2:40];

Ntest = 10000;

load DataInput
load ('TestOutputData')
load TestOutputPred

BeamOpPred = TestOutputPred.';
 BeamOpTest = TestOutputData.';

for ind = 1:size(BeamOpPred,2)
    figure(1)
plot(BeamOpPred(:,ind));
hold on;
plot(BeamOpTest(:,ind));


hold off;
pause


% abs(BeamOpPred(:,ind)'*DataInput(ind,:)')^2
% abs(BeamOpTest(:,ind)'*DataInput(ind,:)')^2

end



% mse_ = mean(abs(BeamOpTest-BeamOpPred).^2)./ mean(abs(BeamOpTest).^2);
% figure(2);
% plot(mse_)


for snrIndex = 1:length(SNR)
load (['TestOutputData' num2str(SNR(snrIndex))])
load (['TestOutputPred' num2str(SNR(snrIndex))]) 

BeamOpPred = TestOutputPred.';
BeamOpTest = TestOutputData.';

mse(snrIndex) = mean(mean(abs(BeamOpPred-BeamOpTest).^2));




end

figure(1)
plot(SNR,mse);
hold on;

plot(SNR,mse,'r*');
xlabel('SNR(dB)');
ylabel('MSE');
grid on;

