import numpy as np
import scipy.io as sio
import time
from keras.models import Model
from keras.layers.core import Activation
from keras.models import load_model
import tensorflow as tf
from keras.layers import Input

OutSize = 50;
InpSize = 30;
    
BeamOp = sio.loadmat('A.mat');
A = BeamOp['A'];
    
class SparseNet:

	def OutLayer1(inputs):        
    
		x= Activation("linear", name="OutLayer1")(inputs) 
		#SparseNet.Mapping_branch.trainable = False 	         
		return x
	def OutLayer2(inputs):        
    
		x= Activation("linear", name="OutLayer2")(inputs) 
		#SparseNet.Mapping_branch.trainable = False 	         
		return x	

	def OutLayer3(inputs):        
    
		x= Activation("linear", name="OutLayer3")(inputs) 
		#SparseNet.Mapping_branch.trainable = False 	         
		return x
	def OutLayer4(inputs):        
    
		x= Activation("linear", name="OutLayer4")(inputs) 
		#SparseNet.Mapping_branch.trainable = False 	         
		return x	

	def OutLayer5(inputs):        
    
		x= Activation("linear", name="OutLayer5")(inputs) 
		#SparseNet.Mapping_branch.trainable = False 	         
		return x
	def OutLayer6(inputs):        
    
		x= Activation("linear", name="OutLayer6")(inputs) 
		#SparseNet.Mapping_branch.trainable = False 	         
		return x	
	def OutLayer7(inputs):        
    
		x= Activation("linear", name="OutLayer7")(inputs) 
		#SparseNet.Mapping_branch.trainable = False 	         
		return x	    

inputs1 = Input(shape=(InpSize,))
inputs2 = Input(shape=(OutSize,))
inputs3 = Input(shape=(OutSize,))
SBL = load_model('SBL.h5',custom_objects={'tf': tf,'OutSize':OutSize,'InpSize':InpSize,'A':A})

[mu_1,mu_2,mu_3,mu_4,mu_5,mu_6,mu_7] = SBL([inputs1,inputs2,inputs3])



mu_1 = SparseNet.OutLayer1(mu_1)
mu_2 = SparseNet.OutLayer2(mu_2)
mu_3 = SparseNet.OutLayer3(mu_3)
mu_4 = SparseNet.OutLayer4(mu_4)
mu_5 = SparseNet.OutLayer5(mu_5)
mu_6 = SparseNet.OutLayer6(mu_6)
mu_7 = SparseNet.OutLayer7(mu_7)



g = Model(inputs=[inputs1,inputs2,inputs3], output=[mu_1,mu_2,mu_3,mu_4,mu_5,mu_6,mu_7])





str2 = 'TestInputData'
SigTest = sio.loadmat(str2);
X_test = SigTest['TestInputData'];
alpha_0 = np.ones([np.size(X_test,0),OutSize])
varEst = np.ones([np.size(X_test,0),OutSize])*1e-1
    
[Y_pred1,Y_pred2,Y_pred3,Y_pred4,Y_pred5,Y_pred6,Y_pred7] = g.predict([X_test,alpha_0,varEst]);
  
    


str3 = 'TestOutputPred'
sio.savemat(str3, {'TestOutputPred':Y_pred7});
    
